package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Steve extends Sprite<Steve.SteveState> {
    public enum SteveState {
        FIRST, SECOND, FIRST_HURT, SECOND_HURT
    }

    public Steve() {
        loadResources(new HashMap<>() {
            {
                put(SteveState.FIRST, "steve1.ans");
                put(SteveState.SECOND, "steve2.ans");
                put(SteveState.FIRST_HURT, "steve1_hurt.ans");
                put(SteveState.SECOND_HURT, "steve2_hurt.ans");
            }
        }, SteveState.class);
    }

    public String getSprite() {
        return getResource(SteveState.FIRST);
    }

    public String getSprite(SteveState state) {
        return getResource(state);
    }
}
